Skip to content

Update Brand Profile

PATCH
/api/v1/workspaces/{workspace_id}/email_design_systems/{emailDesignSystemId}/brand_profiles/{id}
curl --request PATCH \
--url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1/brand_profiles/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "component_overrides": [ { "component_name": "Headline", "hidden": false, "field_overrides": [ { "liquid_variable": "headline", "default_value": "Hello, world!", "hidden_in_editor": false, "hidden_from_ai": false, "label": "Headline" } ] } ], "design_tokens": { "primary_button_color": "#007bff", "secondary_button_color": "#6c757d" } }'

Updates a brand profile.

  • OAuth2
    email_design_systems:write
workspace_id
required
integer

Workspace ID

emailDesignSystemId
required
integer

Email Design System ID

id
required
integer

Brand Profile ID

Media typeapplication/json
object
name
string
component_overrides
Array<object>
object
component_name
required
string
Example
Headline
hidden
required

When a component is hidden, it is not available for selection within the email editor.

boolean
Example
false
field_overrides
required

Overrides for individual field defaults when this brand profile is active.

Array<object>
object
liquid_variable
required
string
Example
headline
default_value
One of:
string
Example
Hello, world!
hidden_in_editor
boolean
Example
false
hidden_from_ai
boolean
Example
false
label
string
Example
Headline
design_tokens
object
key
additional properties
any
Example
{
"primary_button_color": "#007bff",
"secondary_button_color": "#6c757d"
}

Successful

Media typeapplication/json
object
id
required
integer
name
required
string
component_overrides
required
Array<object>
object
component_name
required
string
hidden
required

When a component is hidden, it is not available for selection within the email editor.

boolean
field_overrides
required

Overrides for individual field defaults when this brand profile is active.

Array<object>
object
liquid_variable
required
string
default_value
One of:
string
hidden_in_editor
boolean
hidden_from_ai
boolean
label
string
design_tokens
required
object
key
additional properties
any
created_at
required
string format: date-time
updated_at
required
string format: date-time
email_design_system_id
required
integer
Example
{
"id": 1,
"name": "My Brand",
"component_overrides": [
{
"component_name": "Headline",
"hidden": false,
"field_overrides": [
{
"liquid_variable": "headline",
"default_value": "Hello, world!",
"hidden_in_editor": false,
"hidden_from_ai": false,
"label": "Headline"
}
]
}
],
"design_tokens": {
"primary_button_color": "#007bff",
"secondary_button_color": "#6c757d"
},
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z",
"email_design_system_id": 1
}

Unauthorized

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Forbidden

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Not Found

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Unprocessable Entity

Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{
"errors": {
"username": [
"Username is required.",
"Username must be unique."
],
"email": [
"Invalid email format."
]
}
}